> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Inscription Utilisateur

> Endpoint to register a new user.



## OpenAPI

````yaml openapi.json post /auth/inscription
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /auth/inscription:
    post:
      tags:
        - auth
        - auth
      summary: Inscription Utilisateur
      description: Endpoint to register a new user.
      operationId: inscription_utilisateur_auth_inscription_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RegisterRequest:
      properties:
        nom:
          type: string
          title: Nom
        email:
          type: string
          format: email
          title: Email
        mot_de_passe:
          type: string
          title: Mot De Passe
        role:
          type: string
          title: Role
        is_active:
          type: boolean
          title: Is Active
          default: true
      type: object
      required:
        - nom
        - email
        - mot_de_passe
        - role
      title: RegisterRequest
    RegisterResponse:
      properties:
        id:
          type: string
          title: Id
        nom:
          type: string
          title: Nom
        email:
          type: string
          format: email
          title: Email
      type: object
      required:
        - id
        - nom
        - email
      title: RegisterResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.